<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="news" parent="Theme.Design.Light.NoActionBar">

        <item name="colorOnPrimary">@color/white</item>
        <item name="colorPrimary">@color/buttonColor</item>
        <item name="android:statusBarColor">@color/white</item>
        <item name="android:windowLightStatusBar">true</item>
        <item name="android:windowBackground">@color/allbg</item>
    </style>

    <style name="Material3" parent="Theme.Material3.Light.NoActionBar">
        <!-- Customize your light theme here. -->
        <!-- <item name="colorPrimary">@color/my_light_primary</item> -->
        <item name="colorPrimary">@color/white</item>
        <item name="colorOnPrimary">@color/black</item>
        <item name="colorOnSurface">@color/black</item>
        <item name="actionBarStyle">@style/news</item>


    </style>

    <style name="MaterialComponents_style" parent="Theme.MaterialComponents.Light.NoActionBar">

        <item name="colorOnPrimary">@color/white</item>
        <item name="colorPrimary">@color/blue1_1</item>
        <item name="android:statusBarColor">@color/white</item>
        <item name="android:windowLightStatusBar">true</item>
        <item name="android:windowBackground">@color/allbg</item>
    </style>

    <style name="text_title_style">
        <item name="android:layout_marginTop">16dp</item>
        <item name="android:layout_marginStart">12dp</item>
        <item name="android:textSize">18sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/textColor2</item>
    </style>

    <style name="text_title_2">

        <item name="android:textSize">18sp</item>
        <item name="android:textStyle">bold</item>
        <item name="android:textColor">@color/textColor1</item>
    </style>



    <style name="home_page_radio_button">

        <item name="android:gravity">center</item>
        <item name="android:button">@null</item>
        <item name="android:drawablePadding">12dp</item>
    </style>

    <style name="layout_card_style">
        <item name="android:background">@drawable/card_bg</item>
        <item name="android:padding">12dp</item>
    </style>

    <style name="text_block_style">
        <item name="android:layout_marginTop">12dp</item>
        <item name="android:textSize">16sp</item>
        <item name="android:gravity">center</item>
        <item name="android:textColor">@color/chip_text_color</item>
        <item name="android:background">@drawable/bg_block_selector</item>
        <item name="android:layout_marginEnd">8dp</item>
    </style>
    <style name="text_block_end_style">
        <item name="android:layout_marginTop">12dp</item>
        <item name="android:textSize">16sp</item>
        <item name="android:gravity">center</item>
        <item name="android:textColor">@color/chip_text_color</item>
        <item name="android:background">@drawable/bg_block_selector</item>

    </style>

<!--    <style name="MyMiddleDialogStyle" parent="@android:style/Theme.Holo.Light.Dialog">-->
    <style name="MyMiddleDialogStyle" parent="@style/MaterialComponents_style">
        <!-- 窗口背景色 -->
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--是否有覆盖-->
        <item name="android:windowContentOverlay">@null</item>
        <!-- 浮于Activity之上 -->
        <item name="android:windowIsFloating">true</item>
        <!-- 边框 -->
        <item name="android:windowFrame">@null</item>
        <!-- Dialog以外的区域模糊效果 -->
        <item name="android:backgroundDimEnabled">true</item>
        <!-- 无标题 -->
        <item name="android:windowNoTitle">true</item>
        <!-- 半透明 -->
        <item name="android:windowIsTranslucent">true</item>
        <!--进出动画-->
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
    </style>
</resources>